Skip to content

Get site energy statistics

GET
/sites/{siteId}/energy

Return site energy statistics aggregated by day, month, or year.

Authorizations

AccessToken
Type
HTTP (bearer)

Parameters

Path Parameters

siteId*

Site ID

Type
string
Required

Query Parameters

period*

Statistics period: By day, By month, By year

Type
string
Required
Valid values
"day""month""year"
startDate*

Start date (YYYY-MM-DD format)

Type
string
Required
Format
"date"
endDate*

End date (YYYY-MM-DD format)

Type
string
Required
Format
"date"
includeDevices

Whether to include energy details for each device (default false to optimize performance)

Type
boolean
Default
false

Responses

Energy statistics data returned successfully

application/json
object

Site energy statistics aggregated by day, month, or year

Statistics period

Valid values"day""month""year"

Query start date

Format"date"

Query end date

Format"date"
object[]

Data points aggregated by period

Playground

Authorization
Variables
Key
Value